For the complete documentation index, see llms.txt. This page is also available as Markdown.

Offers

Offers

An Offer is a promotion a publication creates as a brand — it funds the offer with a monthly budget and other newsletters recommend it to earn a commission. This resource is the brand/owner view of the offers a publication has created.

List offers

GET https://api.sparkloop.app/v3/publications/:publication_uuid/grow/offers

Paginated.

Path Parameters

Name
Type
Description

publication_uuid*

String

The publication's UUID.

Query Parameters

Name
Type
Description

expand

String

stats to include performance.

from

String

Start date (YYYY-MM-DD) for stats.

to

String

End date (YYYY-MM-DD) for stats.

{
  "offers": [
    <Offer Object>
  ],
  "meta": {
    "per_page": 50,
    "page": 1,
    "total_pages": 1,
    "total_offers": 2
  }
}

Get offer

GET https://api.sparkloop.app/v3/publications/:publication_uuid/grow/offers/:uuid

Path Parameters

Name
Type
Description

publication_uuid*

String

The publication's UUID.

uuid*

String

The offer's UUID.